package  nstat.patch;
import 	  jam.vector.*;
import 	  jam.operator.*;
import    rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 *
 * @author: Matthias Schwab 
 */
final
public class Idempatch {
  public static void main( String[] args) {
    Rsf  iqlt = RsfFactory.newRsf(100,30);
    Rsf  oqlt = RsfFactory.newRsf(100,30);
    Rsf  wght = RsfFactory.newRsf(100,30);
    iqlt.fill(1f); 
    int[] ws  = {17,6};
    Rsf  wind;

    int[] an  = { 0,0};
    Window trunc 
      = new WindowFactory((RsfSpace) iqlt.getSpace(), an, ws).getForward();
    Window zpadd 
      = (Window) trunc.adjoint();

    for(int i1=0; i1<11; i1++) { an[1] =     (int) (2.45 * i1); 
    for(int i0=0; i0< 5; i0++) { an[0] = 2 + (int) (20   * i0);
      trunc.setAnchor(an);
      wind = (Rsf) trunc.image(iqlt);
      zpadd.addImage(wind,oqlt);
      wind.fill(1.f);
      zpadd.addImage(wind,wght);
    }}
    rsf.operator.ElwInv.elwInv(wght,1.0e-12f);
    oqlt.mul(wght);
    oqlt.write(System.out);
  }
}

