package  nstat.tvdeconF;

import    rsfF.vector.*;
import    rsfF.util.RsfUtil;
import  juice.util.Tester;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
final
public class LeakyIntegrationTest {
  public static void main( String[] args) {
    int[] axes = {3, 3};
    Rsf inRsf = new Rsf( axes);
    inRsf.zero();
    inRsf.setDatum(0, 1F);
    inRsf.setDatum(1, 2F);
    inRsf.setDatum(2, 4F);
    
    LeakyIntegration integ =
      new LeakyIntegration( (RsfSpace) inRsf.getSpace(), 1, 0.5F);
						   
    Rsf outRsf = (Rsf) integ.image( inRsf);
    System.out.println( outRsf);

    float diff = RsfUtil.dotProductTest(integ, "verbose");
    Tester.exit(diff < 1e-5);
  }
}
