package  nstat.tvdeconF;

import    jam.vector.*;
import    rsfF.vector.*;
import    rsfF.util.RsfUtil;
import  juice.util.Tester;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 */
final
public class PefFreeMaskTest {
  public static void main( String[] args) {
    int[] axes = {3, 3};
    Rsf inRsf = new Rsf( axes);
    inRsf.fill(1F);

    int[] spot = { 1, 1};
    
    PefFreeMask mask = 
      new PefFreeMask( (RsfSpace) inRsf.getSpace(), spot);
						   
    Vector outRsf = mask.image( inRsf);
    System.out.println( outRsf);

    float diff = RsfUtil.dotProductTest( mask, "verbose");

    Tester.exit(diff < 10e-6);
  }
}
