package nstat.var;
import  jam.operator.*; 
import  rsf.vector.*;
import  rsf.operator.*; 
import  sep.io.ArgumentKeeper;
import nstat.patch.*;

public class NStatVarPush { 
  public static void main(String[] args) {
    ArgumentKeeper argKeeper = new ArgumentKeeper(args);    // read args 
    Rsf   iput = RsfFactory.newRsf    (System.in         ); // read input quilt
    float olap = argKeeper.getFloat   ("overlap"  , "0.5"); 
    int[] psze = argKeeper.getIntArray("patchsize", "321");

    OperatorFactory  opFac = new StatVarFactory();          
    PatchPushOp      pchOp = new PatchPushOp((RsfSpace) iput.getSpace(), 
					     olap, psze, opFac);
    Rsf oput = (Rsf) pchOp.image(iput);                   // image quilt 
    oput.write("pushOput.H"); iput.write("pushIput.H");   // write output quilt
  } 
} 

