package  nstat.patch;

import 	  jam.vector.*;
import 	  jam.operator.*;
import    rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 * This uses the Patcher to do a simple patching operation. 
 * @see: Parcel
 * @author: Matthias Schwab 
 */
final
public class ParcelEnum {
  public static void main( String[] args) {
    Rsf  wall = RsfFactory.newRsf(100,30);
    Rsf  qult = RsfFactory.newRsf(100,30);
    wall.fill(1f); 
    int  [] ws = {17   ,7    };
    float[] ow = {0.2f, 0.99f};
    PatcherFactory pwFac = new PatcherFactory((RsfSpace)wall.getSpace(),ws,ow);
    for (Patcher pw = pwFac.getPatcher(); pw.hasMoreElements(); ) {
      Window cut   = (Window) pw.nextElement();
      Window paste = (Window) cut.adjoint();
      paste.addImage(cut.image(wall), qult);
    }
    qult.write(System.out);
  }
}

