package  nstat.patch;

import 	  jam.vector.*;
import 	  jam.operator.*;
import    rsf.vector.*;

/**
 * <BR><!--#include file="./source.inc"--><BR>
 *
 * @author: Matthias Schwab 
 */
final
public class Quiltwt {
  public static void main( String[] args) {

    int[] ws   = {61,19};
    float[] ol = {0.1f, 0.1f}; 
    Rsf  quilt = RsfFactory.newRsf(100,30);   
    Rsf  wght  = RsfFactory.newRsf(100,30);
    Rsf  ptch  = RsfFactory.newRsf(ws); 

    rsf.util.Tent.setTent(ptch); 

    PatcherFactory pfac = new PatcherFactory((RsfSpace)quilt.getSpace(),ws,ol);
    Patcher pw = pfac.getPatcher(); 

    for ( ; pw.hasMoreElements(); ) {
      Window trunc = (Window) pw.nextElement(); 
      trunc.adjoint().addImage(ptch,wght); 
    }
    wght.write(System.out);
  }
}


