#include <StubPreamble.h>
#include "nstat_tvdeconC_NonstationaryInternalConvolution.h"
#include <stdio.h>

extern void nstat_tvdeconC_NonstationaryInternalConvolution_applyC(
    struct Hnstat_tvdeconC_NonstationaryInternalConvolution *this,
    long add, long result,
    HArrayOfFloat *xArray, HArrayOfFloat *fArray, HArrayOfFloat *yArray
    ,                      long           fn    , long           yn    )
{
  float *x = unhand(xArray)->body;
  float *f = unhand(fArray)->body;
  float *y = unhand(yArray)->body;
  long xb = fn - 1;
  long ff = 0;
  long fi, yi;

  for ( fi = 0; fi < fn; fi++, xb--) { int xi = xb;
  for ( yi = 0; yi < yn; yi++, xi++) {
    switch (result) {
    case 0:   /*  input */
      x[xi] += y[yi] * f[ff];      break;
    case 1:   /* filter */
      f[ff] += x[xi] * y[yi];      break;
    case 2:   /* output */
      y[yi] += f[ff] * x[xi];      break;
    }
    ff++;
  }}
}
