package nstat.var;
import jam.operator.*; 
import rsf.vector.*;
import rsf.operator.*; 
import sep.io.ArgumentKeeper;
import nstat.patch.*;

public class NStatVarPull { 
  public static void main(String[] args) {
    ArgumentKeeper argKeeper = new ArgumentKeeper(args);
    Rsf iput   = RsfFactory.newRsf    (System.in         );
    float olap = argKeeper.getFloat   ("overlap"  , "0.5");
    int[] psze = argKeeper.getIntArray("patchsize", "321");

    OperatorFactory  opFac = new StatVarFactory(); 
    PatchPullOp      pchOp = new PatchPullOp(
				(RsfSpace) opFac.createRange(iput.getSpace()), 
				olap, psze, opFac);
    Rsf oput = (Rsf) pchOp.image(iput); 
    iput.write("pullIput.H"); oput.write("pullOput.H");
  } 
} 





